Making WordPress.org

Opened 19 months ago

Closed 2 months ago

Last modified 2 months ago

#6427 closed enhancement (fixed)

Enable Sitemaps for developer.wordpress.org

Reported by: dd32's profile dd32 Owned by:
Milestone: Priority: normal
Component: Developer Hub Keywords:
Cc:

Description

Currently developer.wordpress.org doesn't have any Sitemap.xml's that are complete. We use Jetpack Sitemaps elsewhere on WordPress.org, but it was never enabled for developer.wordpress.org.

I've attempted to enable it, but it only shows a handful of pages and attachments.

This is because the majority of the content is stored in custom post types, and they need to be specifically included into the sitemaps through the jetpack_sitemap_post_types filter.

  • The handbook plugin can probably filter it to add it's post-type
  • The coderef should probably add it's post-types to the index

Change History (7)

#1 @dd32
19 months ago

The contents of the sitemap.xml before I disabled it:

#	URL							Last Modified
1	https://developer.wordpress.org/			2017-07-13T16:12:31Z
2	https://developer.wordpress.org/reference/		2014-04-25T20:50:10Z
3	https://developer.wordpress.org/resource/		2014-08-26T20:30:23Z
4	https://developer.wordpress.org/resource/dashicons/	2020-04-20T13:59:30Z
5	https://developer.wordpress.org/resources/		2014-08-26T20:43:34Z
6	https://developer.wordpress.org/resources/dashtest/	2014-08-26T20:33:14Z
7	https://developer.wordpress.org/blog/			2015-06-10T22:33:09Z

5-7 probably need to be deleted.

This ticket was mentioned in Slack in #forums by yui. View the logs.


7 months ago

#3 @dd32
2 months ago

In 13069:

Robots: Include the Developer Blog sitemaps.

See #6427.

#4 @dd32
2 months ago

In 13070:

Handbooks: Include handbooks in Jetpack Sitemaps.

See #6427.

#6 @dd32
2 months ago

  • Resolution set to fixed
  • Status changed from new to closed

Sitemaps are now enabled, and contain all posts.

Unfortunately Jetpack Sitemaps have an issue with this number of posts; causing Nested Sitemap errors.

https://github.com/Automattic/jetpack/issues/7828

I'm closing this as fixed on this end, and will reference this as an issue on the above issue.

#7 @dd32
2 months ago

As a workaround for the above nested sitemap issue, I've manually added https://developer.wordpress.org/sitemap-index-1.xml as a sitemap in Google Search Console, which has let it find the pages, and should mean it'll index them better.

Note: See TracTickets for help on using tickets.